RSS   Vulnerabilities for 'Nunjucks'   RSS

2018-05-31
 
CVE-2016-10547

CWE-79
 

 
Nunjucks is a full featured templating engine for JavaScript. Versions 2.4.2 and lower have a cross site scripting (XSS) vulnerability in autoescape mode. In autoescape mode, all template vars should automatically be escaped. By using an array for the keys, such as `name[]=<script>alert(1)</script>`, it is possible to bypass autoescaping and inject content into the DOM.

 

 >>> Vendor: Mozilla 25 Products
Bugzilla
Mozilla
Firefox
Seamonkey
Thunderbird
Bonsai
Network security services
Camino
Mozilla suite
Durian web application server
Geckb
Libxul
NSS
Gecko
Firefox esr
Thunderbird esr
Firefox mobile
Zamboni
Firef14caox
Netscape portable runtime
Firefoxos
Firefox os
Bleach
Nunjucks
Mozjpeg


Copyright 2019, cxsecurity.com

 

Back to Top